// put your file header here

public class SymbolTable {

    // put your constructor header here
    public SymbolTable( int initialSize ) {


    }

    ////////////////////////////////////////////////////////////
    // You must define this method so that it reads in the 
    // specified file.  If "reserved" is true, then each string
    // in the file is a reserved word and should be marked as
    // such in your symbol table.
    ////////////////////////////////////////////////////////////

    /**
     *  Reads in a file using the SourceFileTokenizer to split into
     *  tokens.  Creates a Symbol for each token and sets the
     *  reserved state.  If the incoming parameter reserved is true,
     *  than this file is a list of reserved words and all tokens
     *  found should be set as reserved words.  If the reserved 
     *  parameter is false, then each token read may or may not be
     *  a reserved word.  It will have be checked against the current
     *  list of reserved words.  Reserved words should be added to 
     *  the SymbolTable, but their count should be 0 until they are
     *  read from a non-reserved word file.
     *
     *  @param filename The name of the file to read.  It is assumed 
     *  to be in the current working directory or be a fully qualified
     *  path name.
     *  @param reserved If this is true, than all words read are 
     *  to be set as reserved words.  If it is false, then each word
     *  read may or may not be a reserved word.
     */
    public void read( String filename, boolean reserved ) {

        System.out.println( "Sorry, the read(filename,reserved) " +
            "method of the SymbolTable class has not been implemented yet." );

    }

    ////////////////////////////////////////////////////////////
    // You must define this method so that it returns a list of 
    // all items in the the SymbolTable in sorted order
    ////////////////////////////////////////////////////////////

    /**
     *  Returns a list of all Symbol objects in this SymbolTable
     *  in sorted order.
     *
     *  <p>Example:</p>
     *  <pre>  Symbol Table in sorted order: 
     *  class:R 1
     *  i:N 50
     *  public:R 4
     *  toString:N 1
     *  </pre>
     *  <p>where R means it is a reserved word and N means it is 
     *  not a reserved word and the integer that follows is the
     *  number of occurrences of that symbol.  Symbols that did not 
     *  occur in a source file (other than the reserved file)
     *  are not displayed.  The <a href="Symbol.html">Symbol</a>
     *  will produce this format for the output, if the <tt>toString</tt>
     *  method is used for each symbol.</p>
     *
     *  @return A String of characters with one line for each symbol
     *  as described above.
     */
    public String toSortedString() {

        // The sorted string being built
        String ss = "Symbol Table in sorted order: \n";

        // Concatenate each symbol in order to the sorted string
        // ie.   ss += symbol.name() + " " + symbol.count();


        // Remove this line, when you complete this method
        ss += "Sorry, a sorted list of symbols is not available.\n";




        return ss;
    } // end toSortedString

} // end SymbolTable class
